<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div></div>
        <script>
            function assignEvents(e) {
                dates = [new Date("October 13, 2014 11:54:00"), new Date("July 10, 1956 15:00:00"), new Date("January 06, 2016 01:02:03"), new Date("May 10, 2012 12:53:00")];
                for (i = 0; i < dates.length; i++) {
                    if (new Date(dates[i]).getTime() > new Date(dates[i + 1]).getTime()) {
                        maximumDate = dates[i];
                    }
                }
                alert(maximumDate);
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
